;;; circuit-sim.asd
;;;
;;; $Revision: 1.1 $
;;;
;;; $Log: circuit-sim.asd,v $
;;; Revision 1.1  2007/02/11 19:28:17  jao
;;; Initial revision
;;;
;;;

(asdf:defsystem :circuit-sim
    :name "circuit-sim"
    :author "Joseph Oswald <josephoswald@gmail.com>"
    :maintainer "Joseph Oswald <josephoswald@gmail.com>"
    :description "Simple digital circuit simulation system"
    :long-description "The CIRCUIT-SIM package is a Common Lisp 
implementation of a digital circuit simulation package, based on the
approach in _Structure and Interpreation of Computer Programs_, Section 
3.3.4"
    :version "0.3"
    :licence "BSD License"
    :components 
    ((:file "package")
     (:file "circuit-sim" :depends-on ("package"))
     (:file "queue" :depends-on ("package"))
     (:file "circuit-logic" :depends-on ("circuit-sim"))
     ;; following depend on macro defs in circuit-sim
     (:file "circuit-components" :depends-on ("package" "circuit-sim"))
     (:file "circuit-bus" :depends-on ("package" "circuit-sim"))
     (:file "memory-components" :depends-on ("package" "circuit-sim"))
     (:file "circuit-clock" :depends-on ("package" "circuit-sim"))
     ))

(asdf:defsystem :circuit-sim-tests
    :name "circuit-sim-tests"
    :author "Joseph Oswald <josephoswald@gmail.com>"
    :maintainer "Joseph Oswald <josephoswald@gmail.com>"
    :description "Tests for circuit-sim"
    :version "0.1"
    :licence "not licensed"
    :depends-on ("rt" "circuit-sim")
    :components 
    ((:file "circuit-tests")))

