;;;; 
;;;; package.lisp
;;;;
;;;; Package definition for CIRCUIT-SIM.
;;;;
;;;; Copyright 2011 by Joseph A. Oswald, III
;;;; See LICENSE.txt for license conditions.
;;;;

(defpackage "CIRCUIT"
  (:use :common-lisp)
  (:export "LOGICAL-TRUE" "LOGICAL-FALSE" "LOGICAL-VALID"
	   "LOGICAL-EQV" "LOGICAL-NOT" "LOGICAL-AND" "LOGICAL-NAND"
	   "LOGICAL-OR" "LOGICAL-NOR"
	   "*AGENDA*" "MAKE-AGENDA"
	   "MAKE-WIRE" "PROBE"
	   "AT-TIME" "PROPAGATE"
	   "SET-SIGNAL" "GET-SIGNAL"

	   "ENABLED" "MAKE-GATED-EDGE-PROBE"
	   "ACCUMULATE-PROBE"

	   "INVERTER" "NAND-GATE" "AND-GATE" "OR-GATE"
	   "HALF-ADDER" "FULL-ADDER" 
	   "D-FLIPFLOP" "D-FLIPFLOP-JAMCLEAR" "GANGED-D-FLIPFLOPS"

	   "MAKE-CLOCK" "PROPAGATE-UNTIL"
	   "MAKE-BUS" "NTH-WIRE" "GET-INTEGER-SIGNAL"
	   "MAKE-GATED-EDGE-INTEGER-PROBE"
	   "MAKE-ROM" "MAKE-SHIFT-REGISTER-SHARED-IO"
	   "MAKE-ADDRESSABLE-LATCH"))
